Package io.dapr.client

# Class Headers

java.lang.Object
io.dapr.client.Headers

public final class Headers extends Object
Common headers for GRPC and HTTP communication.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DAPR_API_TOKEN`
Token for authentication from Application to Dapr runtime.
`static final String`
`DAPR_USER_AGENT`
Header for Api Logging User-Agent.
`static final String`
`GRPC_TRACE_BIN`
OpenCensus's metadata for GRPC.

## Constructor Summary

Constructors
Constructor
Description
`Headers()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GRPC_TRACE_BIN

public static final String GRPC_TRACE_BIN
OpenCensus's metadata for GRPC.

See Also:
  - Constant Field Values

### DAPR_API_TOKEN

public static final String DAPR_API_TOKEN
Token for authentication from Application to Dapr runtime.

See Also:
  - Constant Field Values

### DAPR_USER_AGENT

public static final String DAPR_USER_AGENT
Header for Api Logging User-Agent.

See Also:
  - Constant Field Values

## Constructor Details

### Headers

public Headers()